Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showPublisher.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showPublisher.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showPublisher.component.ts	(revision 58275)
@@ -4,74 +4,95 @@
 @Component({
   selector: 'showPublisher',
   template: `
-    <li *ngIf="publisher"><span class="uk-text-bold">Publisher: </span> {{publisher}}</li>
-    <li *ngIf="journal &&
-                    (journal['journal'] || journal['issn'] || journal['lissn']
-                    || journal['volume'] || journal['eissn'] || journal['issue'])">
-      <span class="uk-text-bold">Journal: </span>
-      <span *ngIf="journal['journal']">{{journal['journal']}}</span
-      ><span *ngIf="journal['journal'] && (journal['volume'] || journal['issue'])">,</span>
-      <span *ngIf="journal['volume']"
-      > volume
-                        <span *ngIf="journal['volume'] > 0">{{journal['volume'] | number}}</span
-                        ><span *ngIf="!(journal['volume'] > 0)">{{journal['volume']}}</span
-        ><span *ngIf="journal['issue'] || journal['start_page'] || journal['end_page']">,</span>
-                    </span>
-      <span *ngIf="journal['issue']"
-      > issue
-                        <span *ngIf="journal['issue'] > 0">{{journal['issue'] | number}}</span
-                        ><span *ngIf="!(journal['issue'] > 0)">{{journal['issue']}}</span
-        ><span *ngIf="journal['start_page'] || journal['end_page']">,</span>
-                    </span>
-      <span *ngIf="(journal['volume'] || journal['issue']) &&
-                                (journal['start_page'] && journal['end_page'])"> pages </span>
-      <span *ngIf="(journal['volume'] || journal['issue']) &&
-                                ((journal['start_page'] && !journal['end_page']) ||
-                                (!journal['start_page'] && journal['end_page']))">page</span>
-      <span *ngIf="journal['start_page']"
-      ><span *ngIf="journal['start_page'] > 0">{{journal['start_page'] | number}}</span
-      ><span *ngIf="!(journal['start_page'] > 0)">{{journal['start_page']}}</span
-      ></span
-      ><span *ngIf="journal['start_page'] && journal['end_page']">-</span
-      ><span *ngIf="journal['end_page']"
-      ><span *ngIf="journal['end_page'] > 0">{{journal['end_page'] | number}}</span
-      ><span *ngIf="!(journal['end_page'] > 0)">{{journal['end_page']}}</span
-      ></span>
-        <span *ngIf=" journal['journal'] && (journal['issn'] || journal['eissn'] || journal['lissn'])"> (</span
-        ><span *ngIf="journal['issn']">issn: {{journal['issn']}}<span
-        *ngIf="journal['eissn'] || journal['lissn']">, </span
-      ></span
-      ><span *ngIf="journal['eissn']"> eissn: {{journal['eissn']}}<span *ngIf="journal['lissn']">, </span
-      ></span
-      ><span *ngIf="journal && journal['lissn']"> lissn: {{journal['lissn']}}
-        ></span
-      ><span *ngIf=" journal['journal'] && (journal['issn'] || journal['eissn'] || journal['lissn'])">)</span>
+    <li *ngIf="publishDate || journal && (journal['journal'] || journal['issn'] || journal['lissn']
+               || journal['volume'] || journal['eissn'] || journal['issue'])">
+      <span *ngIf="publishDate" class="uk-margin-right">
+        <span class="uk-text-muted">Published: </span>
+        {{publishDate | date: 'dd MMM yyyy'}}
+      </span>
+      <span *ngIf="journal && (journal['journal'] || journal['issn'] || journal['lissn']
+             || journal['volume'] || journal['eissn'] || journal['issue'])">
+        <span class="uk-text-muted">Journal: </span>
+        <span *ngIf="journal['journal']">{{journal['journal']}}</span>
+        <span *ngIf="journal['journal'] && (journal['volume'] || journal['issue'])">, </span>
+        <ng-container *ngIf="journal['volume']">
+          <span  class="uk-display-inline-block">
+            volume
+            <span *ngIf="journal['volume'] > 0">{{journal['volume'] | number}}</span>
+            <span *ngIf="!(journal['volume'] > 0)">{{journal['volume']}}</span>
+          </span>
+          <span *ngIf="journal['issue'] || journal['start_page'] || journal['end_page']">, </span>
+        </ng-container>
+        <ng-container *ngIf="journal['issue']">
+          <span class="uk-display-inline-block">
+            issue
+            <span *ngIf="journal['issue'] > 0">{{journal['issue'] | number}}</span>
+            <span *ngIf="!(journal['issue'] > 0)">{{journal['issue']}}</span>
+          </span>
+          <span *ngIf="journal['start_page'] || journal['end_page']">, </span>
+        </ng-container>
+        <span *ngIf="(journal['volume'] || journal['issue']) && (journal['start_page'] || journal['end_page'])"
+              class="uk-display-inline-block">
+          {{(journal['start_page'] && journal['end_page']) ? 'pages' : 'page'}}
+          <span *ngIf="journal['start_page']">
+            <span *ngIf="journal['start_page'] > 0">{{journal['start_page'] | number}}</span>
+            <span *ngIf="!(journal['start_page'] > 0)">{{journal['start_page']}}</span>
+          </span>
+          <span *ngIf="journal['start_page'] && journal['end_page']">-</span>
+          <span *ngIf="journal['end_page']">
+            <span *ngIf="journal['end_page'] > 0">{{journal['end_page'] | number}}</span>
+            <span *ngIf="!(journal['end_page'] > 0)">{{journal['end_page']}}</span>
+          </span>
+        </span>
+        <span *ngIf=" journal['journal'] && (journal['issn'] || journal['eissn'] || journal['lissn'])"> (</span>
+        <ng-container *ngIf="journal['issn']">
+          <span class="uk-display-inline-block">issn: {{journal['issn']}}</span>
+          <span *ngIf="journal['eissn'] || journal['lissn'] || !publisher">, </span>
+        </ng-container>
+        <ng-container *ngIf="journal['eissn']">
+          <span class="uk-display-inline-block">eissn: {{journal['eissn']}}</span>
+          <span *ngIf="journal['lissn'] || !publisher">, </span>
+        </ng-container>
+        <span *ngIf="journal['lissn']" class="uk-display-inline-block">
+          <span class="uk-display-inline-block">lissn: {{journal['lissn']}}</span>
+          <span *ngIf="!publisher">, </span>        
+        </span>
+        <span *ngIf="journal && (journal['issn'] ||journal['lissn'] || journal['eissn'] ) && !publisher">
+          <a target="_blank"
+              [href]="properties.sherpaURL+(journal['issn']?journal['issn']:(journal['eissn']?journal['eissn']:journal['lissn'] ))"
+              uk-tooltip="title: View information on Sherpa/RoMEO  ">
+          <img src="assets/common-assets/common/SHERPA-RoMEO-short-logo.gif" width=16 height=16 alt="">
+           Copyright policy<span class="custom-external custom-icon space"></span>
+          </a>
+        </span>
+        <span *ngIf=" journal['journal'] && (journal['issn'] || journal['eissn'] || journal['lissn'])">)</span>
+      </span>
     </li>
-    <li *ngIf="journal && (journal['issn'] ||
-                journal['lissn'] || journal['eissn'] )">
-                  <span class="custom-external custom-icon"
-                        uk-tooltip="title: View information on Sherpa/RoMEO  ">
-                    <a target="_blank"
-                       [href]="sherpaUrl+(journal['issn']?journal['issn']:(journal['eissn']?journal['eissn']:journal['lissn'] ))">
-                      Publisher copyright policies & self-archiving <img src="assets/common-assets/common/SHERPA-RoMEO-short-logo.gif"  width=16 height=16 alt=""></a>
-                  </span>
+    <li *ngIf="publisher">
+      <span class="uk-text-muted">Publisher: </span> {{publisher}}
+      <span *ngIf="journal && (journal['issn'] ||journal['lissn'] || journal['eissn'] )">
+        (<a target="_blank"
+           [href]="properties.sherpaURL+(journal['issn']?journal['issn']:(journal['eissn']?journal['eissn']:journal['lissn'] ))"
+           uk-tooltip="title: View information on Sherpa/RoMEO  ">
+        <img src="assets/common-assets/common/SHERPA-RoMEO-short-logo.gif" width=16 height=16 alt="">
+         Copyright policy<span class="custom-external custom-icon space"></span>
+      </a>)</span>
     </li>
-
   `
 })
-
 export class ShowPublisherComponent {
+  @Input() publishDate: Date;
   @Input() publisher;
   @Input() journal;
-  @Input() sherpaUrl = 'http://www.sherpa.ac.uk/romeo/search.php?issn=';
-  @Input() properties:EnvProperties;
-
-
+  //@Input() sherpaUrl = 'http://www.sherpa.ac.uk/romeo/search.php?issn=';
+  @Input() properties: EnvProperties;
+  
+  
   constructor() {
-
+  
   }
-
+  
   ngOnInit() {
   }
-
+  
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 58275)
@@ -4,62 +4,65 @@
 @Component({
     selector: 'fundedBy',
     template: `
-      <dl [class]="'uk-description-list-line' + ((fundedByProjects && fundedByProjects.length > threshold) ? ' uk-margin-remove-bottom' : '')">
-        <dt   class="sideInfoTitle ">Funded by</dt>
-        <dd class="line"
-            *ngFor="let item of fundedByProjects.slice(0, showNum) let i=index">
-          <div><!-- *ngIf="i<5 || showAll"-->
-            <span   uk-tooltip="pos:right; delay:10"
-                    title="{{buildFundingTooltip(item)}}">
-
-              <a *ngIf="!item['inline'] && item.id"
-                  [queryParams]="{projectId: item.id}" routerLinkActive="router-link-active" routerLink="/search/project">
-                <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
-                <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
-                <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
+      <li>
+        <span class="uk-text-muted">Funded by: </span>
+        <span *ngFor="let item of fundedByProjects.slice(0, showNum) let i=index">
+          <span class="clickable uk-link">
+            <mark *ngIf="item.inline">
+              <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
+              <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
+              <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
+            </mark>
+            <span *ngIf="!item.inline">
+              <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
+              <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
+              <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
+            </span>
+          </span>
+          <div class="default-dropdown uk-margin-remove-top uk-padding-small"
+               uk-dropdown="pos: bottom-left; mode:click">
+            <span class="uk-text-small">Project</span>
+            <div class="uk-margin-bottom">
+              <a *ngIf="item.id" class="uk-h6 uk-margin-remove"
+                 [queryParams]="{projectId: item.id}" routerLink="/search/project">
+                {{item['acronym']?item['acronym']:item['title']}}
               </a>
-
-              <a *ngIf="item['inline'] && item.id"
-                  [queryParams]="{projectId: item.id}" routerLinkActive="router-link-active" routerLink="/search/project">
-                <mark>
-                  <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
-                  <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
-                  <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
-                </mark>
-              </a>
-
-              <span class="clickable" *ngIf="!item['inline'] && !item.id">
-                <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
-                <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
-                <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
+              <span *ngIf="!item.id" class="uk-h6 uk-margin-remove">
+                {{item['acronym']?item['acronym']:item['title']}}
               </span>
-
-              <span class="clickable" *ngIf="item['inline'] && !item.id">
-                <mark>
-                  <span *ngIf="item['funderShortname'] || item['funderName']">{{item['funderShortname']?item['funderShortname']:item['funderName']}}</span>
-                  <span *ngIf="!item['funderShortname'] && !item['funderName']">[no funder available]</span>
-                  <span *ngIf="item['acronym'] || item['title']">| {{ item['acronym']?item['acronym']:item['title']}}</span>
-                </mark>
-              </span>
-
-              {{" "}}<span class="uk-icon">
-                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" icon="info" ratio="1"><path d="M12.13,11.59 C11.97,12.84 10.35,14.12 9.1,14.16 C6.17,14.2 9.89,9.46 8.74,8.37 C9.3,8.16 10.62,7.83 10.62,8.81 C10.62,9.63 10.12,10.55 9.88,11.32 C8.66,15.16 12.13,11.15 12.14,11.18 C12.16,11.21 12.16,11.35 12.13,11.59 C12.08,11.95 12.16,11.35 12.13,11.59 L12.13,11.59 Z M11.56,5.67 C11.56,6.67 9.36,7.15 9.36,6.03 C9.36,5 11.56,4.54 11.56,5.67 L11.56,5.67 Z"></path><circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle></svg>
-              </span>
-            </span>
+            </div>
+            <ul class="uk-list uk-padding-remove-left uk-margin-bottom">
+              <li *ngIf="item.funderShortname || item.funderName">
+                <span class="uk-text-muted">Funder: </span>
+                {{item.funderName?item.funderName:item.funderShortname}}
+                <span *ngIf="item.funderShortname && item.funderName">
+                  ({{item.funderShortname}})
+                </span>
+              </li>
+              <li *ngIf="item.code">
+                <span class="uk-text-muted">Project Code: </span>{{item.code}}
+              </li>
+              <li *ngIf="item.funding">
+                <span class="uk-text-muted">Funding stream: </span>{{item.funding}}
+              </li>
+            </ul>
+            <div *ngIf="item.provenanceAction" class="uk-text-small uk-text-muted">
+              {{item.provenanceAction}}
+            </div>
           </div>
-        </dd>
-      </dl>
-      <div *ngIf="showNum > threshold" class="uk-text-right uk-margin-bottom">
-        <a (click)="showNum = threshold; scroll()">
-          View less
-        </a>
-      </div>
-<!--      <div *ngIf="showNum == threshold && fundedByProjects && fundedByProjects.length > 5">...</div>-->
-      <div *ngIf="showNum == threshold && fundedByProjects && fundedByProjects.length > threshold" class="uk-text-right uk-margin-bottom">
-        <a (click)="showNum = fundedByProjects.length;">
-          View more
-        </a>
-      </div>
+          <span *ngIf="i < (fundedByProjects.slice(0, showNum).length - 1)">, </span>
+        </span>
+        <div *ngIf="showNum > threshold" class="uk-text-right uk-margin-bottom">
+          <a (click)="showNum = threshold; scroll()">
+            View less
+          </a>
+        </div>
+        <div *ngIf="showNum == threshold && fundedByProjects && fundedByProjects.length > threshold" class="uk-text-right uk-margin-bottom">
+          <a (click)="showNum = fundedByProjects.length;">
+            View more
+          </a>
+        </div>
+      </li>
     `
     })
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.module.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.module.ts	(revision 58275)
@@ -0,0 +1,33 @@
+/* This module contains all common components for all landing pages */
+
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+import { RouterModule }       from '@angular/router';
+
+import { ProjectsServiceModule} from '../../services/projectsService.module';
+import { TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
+import { ProjectsInModalComponent} from './projects-in-modal.component';
+
+import {PagingModule } from '../../utils/paging.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
+import {NoLoadPaging} from "../../searchPages/searchUtils/no-load-paging.module";
+import {ResultPreviewModule} from "../../utils/result-preview/result-preview.module";
+
+@NgModule({
+  imports: [
+    RouterModule, CommonModule, FormsModule,
+    ProjectsServiceModule, TabResultModule,
+    PagingModule, ErrorMessagesModule, NoLoadPaging, ResultPreviewModule
+  ],
+  declarations: [
+     ProjectsInModalComponent
+  ],
+  providers:[
+   ],
+  exports: [
+
+    ProjectsInModalComponent
+    ]
+})
+export class ProjectsInModalModule { }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.module.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.module.ts	(revision 58275)
@@ -0,0 +1,12 @@
+import {NgModule} from "@angular/core";
+import {LandingHeaderComponent} from "./landing-header.component";
+import {CommonModule} from "@angular/common";
+import {LandingModule} from "../landing.module";
+import {ShowAuthorsModule} from "../../../utils/authors/showAuthors.module";
+
+@NgModule({
+  imports: [CommonModule, LandingModule, ShowAuthorsModule],
+  declarations: [LandingHeaderComponent],
+  exports: [LandingHeaderComponent]
+})
+export class LandingHeaderModule {}
\ No newline at end of file
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/addThis.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/addThis.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/addThis.component.ts	(revision 58275)
@@ -1,60 +1,50 @@
-import {Component, ElementRef, Input} from '@angular/core';
+import {
+  AfterContentInit,
+  AfterViewInit,
+  Component,
+  ElementRef,
+  EventEmitter,
+  Input,
+  OnInit,
+  Output,
+  ViewChild
+} from '@angular/core';
 import {ActivatedRoute} from '@angular/router';
 
- interface addthis {
-     layers: refresh;
-     init: Function;
-     toolbox: Function;
- }
- interface refresh {
-     refresh: Function;
- }
- declare var addthis: addthis;
- // declare var loadAddThis: any;
+interface addthis {
+  layers: Refresh;
+  init: Function;
+  toolbox: Function;
+}
 
-//<addThis ></addThis>
+interface Refresh {
+  refresh: Function;
+}
+
+declare var addthis: addthis;
+
 @Component({
   selector: 'addThis',
   template: `
-  <p class="addthis_inline_share_toolbox"></p>
+    <p class="addthis_inline_share_toolbox"></p>
   `
 })
-export class AddThisComponent {
-  private sub:any;
-
-
-  constructor(private route: ActivatedRoute) {
-
-  }
+export class AddThisComponent implements OnInit {
+  @Output() event: EventEmitter<boolean> = new EventEmitter<boolean>();
+  
+  constructor(private route: ActivatedRoute) {}
+  
   ngOnInit() {
-    this.sub =  this.route.queryParams.subscribe(data => {
-
+    this.route.queryParams.subscribe(data => {
       if (typeof document !== 'undefined' && typeof addthis !== 'undefined') {
-        try{
-          //console.log("AddThis: try load");
-          // addthis.toolbox();
-          // addthis.init();
+        if(addthis.layers && addthis.layers.refresh) {
           addthis.layers.refresh();
-        }catch (e) {
-          // console.log("AddThis may didn't load properly");
-          //   try{
-          //     addthis.init();
-          // addthis.layers.refresh();
-          // console.log("AddThis: one more");
-          // }catch (e) {
-          //   console.log("AddThis error again");
-          // }
+        } else {
+          this.event.emit(false);
         }
+      } else {
+        this.event.emit(false);
       }
-      // if (typeof document !== 'undefined' ) {
-      //      console.log("AddThis: try load");
-      //      loadAddThis();
-      //
-      //
-      // }
-  });
-
+    });
   }
-
-
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showSubjects.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showSubjects.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showSubjects.component.ts	(revision 58275)
@@ -1,57 +1,53 @@
 import {Component, Input} from '@angular/core';
 
 @Component({
-    selector: 'showSubjects',
-    template: `
-        <div   *ngIf="subjects != undefined || otherSubjects != undefined || classifiedSubjects != undefined ">
+  selector: 'showSubjects',
+  template: `
+    <div *ngIf="classifiedSubjects && classifiedSubjects.size > 0" class="uk-text-small">
+      <div class="uk-text-muted">
+        Subjects by Vocabulary:
+      </div>
+      <div class="uk-margin-small-top">
+        <div *ngFor="let key of getKeys(classifiedSubjects)" style="line-height: 20px">
+          <span uk-icon="tag"></span>
+          <span class="uk-text-bold uk-text-uppercase"> {{key}}: </span>
+          <ng-container *ngFor="let subject of classifiedSubjects.get(key)">
+            <span class="uk-display-inline-block label-classified">{{subject}}</span>
+          </ng-container>
+        </div>
+      </div>
+    </div>
+    <div *ngIf="(subjects && subjects.length > 0) || (otherSubjects && otherSubjects.size > 0)" class="uk-text-small"
+      [class.uk-margin-top]="classifiedSubjects && classifiedSubjects.size > 0">
+      <span class="uk-text-muted">Subjects: </span>
+      <span *ngIf="subjects && subjects.length > 0">{{subjects.join(', ')}}</span>
+      <span *ngIf="(subjects && subjects.length > 0) && (otherSubjects && otherSubjects.size > 0)">, </span>
+      <span *ngIf="otherSubjects && otherSubjects.size > 0">
+        <span *ngFor="let key of getKeys(otherSubjects); let i=index">
+          <span *ngIf="otherSubjects.get(key).length > 0">
+            <span>{{otherSubjects.get(key).join(', ')}}</span>
+            <span *ngIf="i < (otherSubjects.size - 1)">, </span>
+          </span>
+        </span>
+      </span>
+    </div>
+  `
+})
 
-            <div *ngIf="(subjects != undefined && subjects.length > 0) ||
-                       (otherSubjects != undefined && otherSubjects.size > 0) ||
-                       (classifiedSubjects != undefined && classifiedSubjects.size > 0)">
-                <span class="uk-text-bold">Subject:</span>
-
-                <span *ngIf="subjects != undefined && subjects.length > 0"> {{subjects.join(" | ")}} </span>
-                <ul class="uk-list">
-                <li *ngIf="otherSubjects != undefined && otherSubjects.size > 0">
-                    <div *ngFor="let key of getKeys(otherSubjects)">
-                        <span class="uk-text-bold">{{key}}:</span> {{otherSubjects.get(key).join(" | ")}}
-                    </div>
-                </li>
-                <!--li *ngIf="(subjects == undefined || subjects.length == 0) &&
-                           (otherSubjects == undefined || otherSubjects.size == 0) &&
-                           classifiedSubjects != undefined && classifiedSubjects.size > 0">
-                    -
-                </li-->
-                </ul>
-            </div>
-
-            <div *ngIf="classifiedSubjects != undefined && classifiedSubjects.size > 0">
-                <div class="uk-panel uk-padding-small uk-background-default"  >
-                    <div *ngFor="let key of getKeys(classifiedSubjects)">
-                        <!--span class="uk-text-bold">Classified by OpenAIRE into</span-->
-                        <span class="uk-margin-small-right uk-icon  uk-text-primary" ><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"> <path fill="none" stroke="#000" stroke-width="1.1" d="M17.5,3.71 L17.5,7.72 C17.5,7.96 17.4,8.2 17.21,8.39 L8.39,17.2 C7.99,17.6 7.33,17.6 6.93,17.2 L2.8,13.07 C2.4,12.67 2.4,12.01 2.8,11.61 L11.61,2.8 C11.81,2.6 12.08,2.5 12.34,2.5 L16.19,2.5 C16.52,2.5 16.86,2.63 17.11,2.88 C17.35,3.11 17.48,3.4 17.5,3.71 L17.5,3.71 Z"></path> <circle cx="14" cy="6" r="1"></circle></svg></span>
-                        <span uk-tooltip="title: Classified by OpenAIRE; delay: 10">
-                            <span class="uk-text-bold">{{key}}:</span> {{classifiedSubjects.get(key).join(" | ")}}
-                        </span>
-                    </div>
-                </div>
-            </div>
-    `
-
-    })
-
 export class ShowSubjectsComponent {
-    @Input() subjects: string[];
-    @Input() otherSubjects: Map<string, string[]>;
-    @Input() classifiedSubjects: Map<string, string[]>;
-    // private showClassifiedSbj: boolean = false;
-
-    constructor () {
-    }
-
-    ngOnInit() {
-    }
-    public getKeys( map) {
-      return Array.from(map.keys());
-    }
+  @Input() subjects: string[];
+  @Input() otherSubjects: Map<string, string[]>;
+  @Input() classifiedSubjects: Map<string, string[]>;
+  
+  // private showClassifiedSbj: boolean = false;
+  
+  constructor() {
+  }
+  
+  ngOnInit() {
+  }
+  
+  public getKeys(map) {
+    return Array.from(map.keys());
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.module.ts	(revision 58275)
@@ -11,11 +11,14 @@
 
  import {ErrorMessagesModule} from '../../../utils/errorMessages.module';
 import {ShowAuthorsModule} from "../../../utils/authors/showAuthors.module";
+import {SearchResultsModule} from "../../../searchPages/searchUtils/searchResults.module";
+import {NoLoadPaging} from "../../../searchPages/searchUtils/no-load-paging.module";
+import {ResultPreviewModule} from "../../../utils/result-preview/result-preview.module";
 
 @NgModule({
   imports: [
     CommonModule, FormsModule, ResultLandingUtilsModule,
-    PagingModule, ErrorMessagesModule, ShowAuthorsModule
+    PagingModule, ErrorMessagesModule, ShowAuthorsModule, SearchResultsModule, NoLoadPaging, ResultPreviewModule
   ],
   declarations: [
     DeletedByInferenceComponent
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/dataProviderInfo.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/dataProviderInfo.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/dataProviderInfo.ts	(revision 58275)
@@ -10,6 +10,8 @@
     originalId: string;
     countries: string[];
     journal: {"journal": "", "issn": string, "lissn": string, "eissn": string};
+    description: string;
+    subjects: string[];
 
   //collected from datasource api
   aggregationStatus: {"fundedContent": string, "indexRecords": string, "fulltexts": string, "lastUpdateDate": string};
@@ -168,5 +170,6 @@
     //projects: any;
     datasources: any;
 
-    relatedDatasources: Map<string, {"name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string}>;
+    //relatedDatasources: Map<string, {"name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string}>;
+  relatedDatasources: {"id": string, "name": string, "count": number}[] = [];
 }
